// Frame for the text editing facility

//	Name: AccSimTextEditor (class)
//	Author: Arjan Egges
//	Version: 1.0

import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.awt.FlowLayout;

import com.sun.j3d.utils.applet.MainFrame;
import com.sun.j3d.utils.universe.*;
import javax.media.j3d.*;


class AccSimTextEditor extends Frame implements ActionListener, WindowListener {

    private String parseText;
    
    // Window components
    TextArea tEdit;
    Button confirmButton;
    Button cancelButton;
    
    public AccSimTextEditor(String pT) {
       super("Accident text editor");
       parseText = pT;
       addWindowListener(this);
       this.setLayout(new FlowLayout());
       this.setSize(400,220);
       tEdit = new TextArea(parseText,8,50,TextArea.SCROLLBARS_VERTICAL_ONLY);
       add(tEdit);
       confirmButton = new Button("Confirm");
       confirmButton.addActionListener(this);
       add(confirmButton);
       cancelButton = new Button("Cancel");
       cancelButton.addActionListener(this);
       add(cancelButton);
       
       this.show();      
    }
    
    public String getText() {
       return parseText;
    }
    
    public void actionPerformed(ActionEvent event) {
       if (event.getSource() == confirmButton) {
          String ps = tEdit.getText();
          Messenger.message("#parsetext#"+ps);
          dispose();
       } else if (event.getSource() == cancelButton) 
          dispose();
    }
    
    public void windowClosing( WindowEvent event ) {
       dispose();
    }
   
   
    public void windowClosed( WindowEvent event ) {
    }
   
    public void windowDeiconified( WindowEvent event ) {}
   
    public void windowIconified( WindowEvent event ) {}
   
   
public void windowDeactivated( WindowEvent event ) {}
   
    public void windowActivated( WindowEvent event ) {}
   
   public void windowOpened( WindowEvent event ) {}

}