// This class defines an object containing the information necessary to model
// a collision

// 	Name: CollisionInfo (class)
//	Author: Arjan Egges
//	Version: 1.0

class CollisionInfo {

   // The index of the actor in the dynamic object array
   public int actorIndex;
   
   // The index of the victim in the dynamic/static (!) object array
   public int victimIndex;
   
   // Variable used to define if the victim is a dynamic or a static object
   public int victimKind;
   
   // The vehicle part of the actor in the collision
   public int actorPart;

   // The vehicle part of the victim in the collision
   public int victimPart;
   
   // Collision coordinates
   public float collCoordX = 0.0f;
   public float collCoordY = 0.0f;
   
   // Constructor
   public CollisionInfo() {
      actorIndex = -1;
      victimIndex = -1;
      victimKind = Constant.DYNAMIC_OBJECT;
      actorPart = Constant.UNKNOWN_PART;
      victimPart = Constant.UNKNOWN_PART;
   }
}