// Standard interface for a dynamic accidentobject

// 	Name: DynamicAccidentObject (interface)
//	Author: Arjan Egges
//	Version: 1.0


import javax.media.j3d.TransformGroup;

interface DynamicAccidentObject {

   // Creates the geometry of the Accident Object
   public void createGeometry();
   
   // Returns the geometry of the Accident Object
   public TransformGroup getGeometry();
   
   // Sets the event chain of the Accidewnt Object
   public void setTrajectory(Trajectory t);
   
   // Returns the event chain of the Accident Object
   public Trajectory getTrajectory();   
   
   // Dynamic controls
   
   // Start the simulation
   public void play();
   
   // Pause the simulation
   public void pause();
   
   // Resume the simulation
   public void resume();
   
   // Stop the simulation
   public void stop();
   
   // Returns the id of the vehicle
   public String getId();
   
   // Sets the id to s
   public void setId(String s);
   
   // Returns the length of the vehicle
   public float getLength();
   
   // Returns the width of the vehicle
   public float getWidth();
   
}