// This class defines the event chain used in the initial definition of the
// accident.

// 	Name: EventChain (class)
//	Author: Arjan Egges
//	Version: 1.0


class EventChain {

   // Event chain private variables
   private static final int MAX_EVENTS = 20;
   private Event[] eventChain;
   private int eventAmount;
   
   // Constructor
   public EventChain() {
      eventChain = new Event[MAX_EVENTS];
      eventAmount = 0;
   }

   // Adds an event to the event chain
   public void addEvent(Event e) {
      if (eventAmount<MAX_EVENTS) {
         eventChain[eventAmount] = e;
         if (eventAmount != 0 && e.kind == Constant.STOP) {
            eventChain[eventAmount].endPosX = eventChain[eventAmount-1].endPosX;
            eventChain[eventAmount].endPosY = eventChain[eventAmount-1].endPosY;
         }            
         eventAmount++;
      } else
         Messenger.message("Event overflow.");
   }

   // Returns the amount of events
   public int getEventAmount() {
      return eventAmount;
   }
   
   // Returns the event at index 'index'
   public Event getEvent(int index) {
      if (index>=0 && index<eventAmount)
         return eventChain[index];
      else
         return new Event();
   }
   
   // Deletes the last event
   public void deleteEvent() {
      if (eventAmount > 0) 
         eventAmount --;
   }
   
   // Prints the event chain
   public void print() {
      System.out.println("=======================");
      for (int i=0; i<eventAmount; i++) {
         System.out.println("Event: "+i);
         eventChain[i].print();
         System.out.println("=======================");
      }
   }
}